Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • backlog
  • board
  • epic
  • issue
  • sprint
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index-snapshot
  • index
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • securitylevel
  • serverInfo
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • workflow
  • workflowscheme
  • worklog
  • session
  • websudo
Server
Jira Data Center / / Modules

upgrade

Postman Collection
OpenAPI
GET

Get result of the last upgrade task

Returns the result of the last upgrade task.

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns the result of the last upgrade.

application/json

UpgradeResultBean
GET/api/2/upgrade
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/upgrade' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
POST

Run pending upgrade tasks

Runs any pending delayed upgrade tasks. Need Admin permissions to do this.

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

OK response if successful, array of error messages if schedule fails.

POST/api/2/upgrade
1 2 3 curl --request POST \ --url 'http://{baseurl}/rest/api/2/upgrade' \ --user 'email@example.com:<api_token>'

Rate this page: